Solucionar errores en osC 2.2-MS2 al actualizar a PHP 5.3.28

Espacio para usuarios que busquen soporte profesional. Mensajes en cola de moderacion.
Reglas del Foro
Espacio para usuarios que busquen soporte profesional. Mensajes en cola de moderacion.

Solucionar errores en osC 2.2-MS2 al actualizar a PHP 5.3.28

Notapor aaa34 » Lun Mar 17, 2014 3:56 pm

Hola a todos,

El servidor donde tengo la tienda osCommerce 2.2-MS2 y ha actualizado a PHP 5.3.28, ahora se muestran multitud de errores sobre todo en public_html/includes/functions/sessions.php

Comentar que tengo varias contribuciones instaladas como: headers tags seo, seo urls, dynamic sitemap, xml sitemap, zoom de imágenes...

Me gustaría preguntar a los expertos cuanto me cobrarían por dejarla funcionando perfecta como antes estaba con la anterior versión de PHP
Gracias!

---------------

Hola, edito aqui por que no me deja crear una respuesta no se por qué :blink2:
Actualicé manualmente a v2.2 RC2a y está todo funcionando salvo que los precios en el panel del admin no se visualizan, da errores en general.php

Warning: round() expects parameter 2 to be long, string given in /home/replicas/public_html/yo/includes/functions/general.php on line 1130


------------------

Muchas gracias por la respuesta, en dicha función ya tenia ese codigo puesto :( no se que puede ser :blink1:
Última edición por aaa34 el Vie Mar 21, 2014 7:00 am, editado 2 veces en total
aaa34
Novato
 
Mensajes: 19
Registrado: Vie Jul 06, 2012 5:27 pm

Anuncio

web_empresa

Re: Solucionar errores en osC 2.2-MS2 al actualizar a PHP 5.

Notapor figue » Mar Mar 18, 2014 9:18 am

Yo te recomiendo pasar a una version mas actual de oscommerce. La version 2.2 MS2 es muy antigua y te va a dar problemas por muchos cambios que le hagas.
Otra opcion seria que te fueses a otro servidor que te garantize que te va a olojar en una version de php 5.2

Podria instalarte una tienda con todas las modificaciones ya hechas, si te interesa contacta conmigo o escribe aqui tu email y te envio la informacion.
figue
Moderador Global
 
Mensajes: 873
Registrado: Mié Feb 09, 2011 8:48 pm
Ubicación: Córdoba

Re: Solucionar errores en osC 2.2-MS2 al actualizar a PHP 5.

Notapor figue » Jue Mar 20, 2014 2:54 pm

Busca la funcion:
Código: Seleccionar todo
function tep_round


Y la cambias por esta:

Código: Seleccionar todo
////
// Wrapper function for round() for php3 compatibility
  function tep_round($value, $precision) {
    if (PHP_VERSION < 4) {
      $exp = pow(10, $precision);
      return round($value * $exp) / $exp;
    } else {
      return round($value, $precision);
    }
  }
figue
Moderador Global
 
Mensajes: 873
Registrado: Mié Feb 09, 2011 8:48 pm
Ubicación: Córdoba

Re: Solucionar errores en osC 2.2-MS2 al actualizar a PHP 5.

Notapor alexiscruz007 » Lun Nov 07, 2016 8:21 pm

Yo estoy usando la version 2.2 en php 5.4 solo hay que aplicar tres pach un poco largos y corregir error dependiendo de tu hospedaje y los pluging que tengas instalados.
alexiscruz007
Novato
 
Mensajes: 2
Registrado: Mié Feb 03, 2016 11:00 pm


Volver a Usuarios que precisan soporte dedicado

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 0 invitados

cron
Este sitio utiliza cookies para mejorar la experiencia del usuario.Cookies Al continuar navegando aceptas el uso de cookies.
Cookies